Page MenuHomePhabricator

F2. All Flow edits are shown as new pages
Closed, ResolvedPublic2 Story Points

Description

Looking at a user's contributions with "Only show edits that are page creations" checked shows a lot of Flow-related edits as page creations, even though they are not really page creations.

The first post in a topic (topic creation) should be marked as a new page; other posts & edits should not.

Here's an example thread: http://en.wikipedia.beta.wmflabs.org/wiki/Topic:Sktzzmzrzi691tzs

I created a topic called Dalmatians. First post says "eggs", second post says "fish".

We suppress the line about the creation of the topic, so the two lines in history/contribs are for the first post and the second post.

You can see here that we're marking both posts as being new pages:

http://en.wikipedia.beta.wmflabs.org/w/index.php?limit=100&tagfilter=&title=Special%3AContributions&contribs=user&target=DannyH+%28WMF%29&namespace=&tagfilter=&newOnly=1&year=2015&month=-1

(That's my contributions page, with the checkbox "Only show edits that are page creations" checked.)

The line that should be tagged as creating a new page is the first post (17:10). The line for the second post (17:11) should not be tagged as a new page.

Event Timeline

Amire80 created this task.Mar 24 2015, 4:15 PM
Amire80 updated the task description. (Show Details)
Amire80 raised the priority of this task from to Needs Triage.
Amire80 added a project: StructuredDiscussions.
Amire80 added subscribers: Amire80, IKhitron.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptMar 24 2015, 4:15 PM
EBernhardson triaged this task as Normal priority.Mar 24 2015, 5:43 PM
EBernhardson added a subscriber: EBernhardson.
DannyH set Security to None.
DannyH moved this task from Untriaged to Team discussion on the Collaboration-Team-Triage board.
DannyH updated the task description. (Show Details)Mar 30 2015, 7:01 PM
DannyH edited a custom field.
DannyH updated the task description. (Show Details)Jul 10 2015, 5:15 PM
DannyH renamed this task from all Flow edits are shown as new pages to All Flow edits are shown as new pages.Jul 22 2015, 9:33 PM
DannyH removed SBisson as the assignee of this task.Jul 23 2015, 12:33 AM
DannyH renamed this task from All Flow edits are shown as new pages to F2. All Flow edits are shown as new pages.Jul 23 2015, 12:41 AM

Change 227696 had a related patch set uploaded (by Sbisson):
[WIP] Flagging and filtering "new pages"

https://gerrit.wikimedia.org/r/227696

Change 227696 merged by jenkins-bot:
Flagging and filtering "new pages"

https://gerrit.wikimedia.org/r/227696

Checked on betalabs. The following was checked according to https://gerrit.wikimedia.org/r/227696.
Flagging and filtering "new pages"

  • Add N next to new page changes in
    • user contributions
    • recent changes
    • watchlist
  • Allow filtering on new pages only
DannyH closed this task as Resolved.Aug 4 2015, 10:44 PM
DannyH moved this task from Product Review to Done on the Collaboration-Team-Archive-2015-2016 board.
DannyH added a subscriber: DannyH.